Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\Repository\Permission\CachedPermissionService Member List

This is the complete list of members for eZ\Publish\Core\Repository\Permission\CachedPermissionService, including all inherited members.

$cacheTTL | eZ\Publish\Core\Repository\Permission\CachedPermissionService | private
$permissionCriterion | eZ\Publish\Core\Repository\Permission\CachedPermissionService | private
$permissionCriterionResolver | eZ\Publish\Core\Repository\Permission\CachedPermissionService | private
$permissionCriterionTs | eZ\Publish\Core\Repository\Permission\CachedPermissionService | private
$permissionResolver | eZ\Publish\Core\Repository\Permission\CachedPermissionService | private
$sudoNestingLevel | eZ\Publish\Core\Repository\Permission\CachedPermissionService | private
__construct(APIPermissionResolver $permissionResolver, APIPermissionCriterionResolver $permissionCriterionResolver, $cacheTTL=5) | eZ\Publish\Core\Repository\Permission\CachedPermissionService |
canUser($module, $function, ValueObject $object, array $targets=[]) | eZ\Publish\Core\Repository\Permission\CachedPermissionService |
getCurrentUserReference() | eZ\Publish\Core\Repository\Permission\CachedPermissionService |
getPermissionsCriterion($module='content', $function='read', ?array $targets=null) | eZ\Publish\Core\Repository\Permission\CachedPermissionService |
hasAccess($module, $function, UserReference $userReference=null) | eZ\Publish\Core\Repository\Permission\CachedPermissionService |
lookupLimitations(string $module, string $function, ValueObject $object, array $targets=[], array $limitations=[]) | eZ\Publish\Core\Repository\Permission\CachedPermissionService |
setCurrentUserReference(UserReference $userReference) | eZ\Publish\Core\Repository\Permission\CachedPermissionService |
sudo(callable $callback, RepositoryInterface $outerRepository) | eZ\Publish\Core\Repository\Permission\CachedPermissionService |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.